Bug 426817 - system-config-firewall-tui deletes custom rules
system-config-firewall-tui deletes custom rules
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: system-config-firewall (Show other bugs)
8
All Linux
low Severity high
: ---
: ---
Assigned To: Thomas Woerner
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-26 15:39 EST by Konstantin Svist
Modified: 2008-02-12 23:57 EST (History)
1 user (show)

See Also:
Fixed In Version: 1.0.12-4.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-12 23:57:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Konstantin Svist 2007-12-26 15:39:51 EST
Description of problem:
When using system-config-firewall-tui, if any custom rules are entered, it's
unable to parse them. Consequently, both new and already-defined custom rules
are lost.

Version-Release number of selected component (if applicable):
latest from yum

How reproducible:
always

Steps to Reproduce:
1. Start system-config-securitylevel-tui in a console window
2. Enter Customize screen
3. Add custom ports (bottom left text box). Format is specified as
port:protocol, e.g. 12345:tcp - but if any existing ports are defined they're
displayed as port/protocol, instead. With the included fix, both formats are
acceptable for adding new ports.


Proposed fix:
The problem can be fixed by altering the parsing routine in
/usr/share/system-config-firewall/fw_tui.py on line 216 from
                val = entry.strip().split(":")
to
                val = entry.strip().split("/")
Comment 1 Charles VINCHON 2008-01-12 12:57:18 EST
It sould be better to modify line 37 and 39 by converting the "%s/%s" in these
line into "%s:%s"

It seems that many lines in the code use ":" instead of "/" and the french and
english prompt are using ":"
Comment 2 Fedora Update System 2008-01-31 12:51:49 EST
system-config-firewall-1.0.12-4.fc8 has been submitted as an update for Fedora 8
Comment 3 Fedora Update System 2008-02-01 20:18:16 EST
system-config-firewall-1.0.12-4.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update system-config-firewall'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F8/FEDORA-2008-1200
Comment 4 Fedora Update System 2008-02-12 23:57:45 EST
system-config-firewall-1.0.12-4.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.